/* Footer */
.site-footer {
    background-color: var(--tum-primary);
    margin-top: 2rem;
}

/* Container etwas Abstand links/rechts */
.site-footer .container {
    max-width: 100% !important;
    width: 100%;
    padding-left: 30px;
    padding-right: 20px;
}

/* Region volle Breite */
.site-footer__top .region {
    width: 100%;
}

/* Navigation */
.region-footer-first .nav {
    display: flex;
    align-items: center;
    gap: 20px;

    margin: 0;
    padding: 0;
    width: 100%;
}

/* Menüeinträge */
.region-footer-first .nav-item {
    list-style: none;
}

/* Links */
.region-footer-first .nav-link,
.region-footer-first .nav-link:focus,
.region-footer-first .nav-link:hover,
.region-footer-first .nav-link:active {
    padding: 0;
    color: #fff;

    text-decoration: none !important;
    border-bottom: none !important;
    box-shadow: none !important;

    transition: color 0.2s ease;
}

/* Hover */
.region-footer-first .nav-link:hover {
    color: var(--link-hover-color);
}
/* =========================
   Social Icons
========================= */

/* erstes Social Icon nach rechts schieben */
.region-footer-first .nav-item:nth-last-child(3) {
    margin-left: auto;
}

/* Basis für alle Social Icons */
.nav-link-https--wwwinstagramcom-tumlibrary-,
.nav-link-https--delinkedincom-company-tum-library,
.nav-link-https--wwwyoutubecom-tumlibrarychannel {

    width: 24px;
    height: 24px;

    display: inline-block;

    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;

    font-size: 0;
    overflow: hidden;

    padding: 0 !important;

    color: transparent !important;
}

/* Instagram */
.nav-link-https--wwwinstagramcom-tumlibrary- {
    background-image: url('/themes/custom/barrio_subtheme/images/tum_icons/soc-instagram.svg');
}

/* LinkedIn */
.nav-link-https--delinkedincom-company-tum-library {
    background-image: url('/themes/custom/barrio_subtheme/images/tum_icons/soc-linkedin.svg');
}

/* YouTube */
.nav-link-https--wwwyoutubecom-tumlibrarychannel {
    background-image: url('/themes/custom/barrio_subtheme/images/tum_icons/soc-youtube.svg');
}
/* Responsive */
@media (max-width: 768px) {

    .region-footer-first .nav {
        flex-wrap: wrap;
        gap: 12px;
    }

}